Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.view
Interface IPlayerPanel

All Known Implementing Classes:
  PlayerPanel

    public interface IPlayerPanel

The player panel that contains a player's board and other user interfaces

Method Summary
`IEvent` | `getEndTurnEvent()` The end turn event is emitted when the player wants to end his turn
`IHandPanel` | `getHandPanel()`
`IEvent` | `getSortByGroupsEvent()` The sort by groups event is emitted when the player wants to sort his stones by groups
`IEvent` | `getSortByRunsEvent()` The sort by runs event is emitted when the player wants to sort his stones by runs
`void` | `setTimeLeft(int time)` Sets the time the player has left for his turn

Method Detail

### getHandPanel

    IHandPanel getHandPanel()

  Returns:
    the board where the players hand stones are displayed

### setTimeLeft

    void setTimeLeft(int time)

  Sets the time the player has left for his turn

  Parameters:
    `time` - the time left

### getSortByGroupsEvent

    IEvent getSortByGroupsEvent()

  The sort by groups event is emitted when the player wants to sort his stones by groups

  Returns:
    the event

### getSortByRunsEvent

    IEvent getSortByRunsEvent()

  The sort by runs event is emitted when the player wants to sort his stones by runs

  Returns:
    the event

### getEndTurnEvent

    IEvent getEndTurnEvent()

  The end turn event is emitted when the player wants to end his turn

  Returns:
    the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD